Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface MultiCurve

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, Serializable

All Known Implementing Classes:
  MultiCurveImpl

    public interface MultiCurve

extends MultiPrimitive

The interface defines the access to a aggregations of `Curve` objects.

-----------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Andreas Poth

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`void` | `addCurve(Curve curve)` adds a Curve to the aggregation
`Curve[]` | `getAllCurves()`
`Curve` | `getCurveAt(int index)`
`void` | `insertCurveAt(Curve curve, int index)` inserts a Curve in the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or curve equals null an exception will be thrown.
`Curve` | `removeCurve(Curve curve)` removes the submitted Curve from the aggregation
`Curve` | `removeCurveAt(int index)` removes the Curve at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.
`void` | `setCurveAt(Curve curve, int index)` sets the submitted Curve at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or curve equals null an exception will be thrown.

Methods inherited from interface org.deegree.model.spatialschema.MultiPrimitive
`getAllPrimitives, getPrimitiveAt`

Methods inherited from interface org.deegree.model.spatialschema.Aggregate
`add, getAll, getIterator, getObjectAt, getSize, insertObjectAt, isMember, merge, removeAll, removeObject, removeObjectAt, setObjectAt`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### addCurve

    void addCurve(Curve curve)

  adds a Curve to the aggregation

  Parameters:
    `curve` - to add.

### insertCurveAt

    void insertCurveAt(Curve curve,
                       int index)
                       throws GeometryException

  inserts a Curve in the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or curve equals null an exception will be thrown.

  Parameters:
    `curve` - Curve to insert.
    `index` - position where to insert the new Curve
  Throws:
    `GeometryException`

### setCurveAt

    void setCurveAt(Curve curve,
                    int index)
                    throws GeometryException

  sets the submitted Curve at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or curve equals null an exception will be thrown.

  Parameters:
    `curve` - Curve to set.
    `index` - position where to set the new Curve
  Throws:
    `GeometryException`

### removeCurve

    Curve removeCurve(Curve curve)

  removes the submitted Curve from the aggregation

  Parameters:
    `curve` -
  Returns:
    the removed Curve

### removeCurveAt

    Curve removeCurveAt(int index)
                        throws GeometryException

  removes the Curve at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.

  Parameters:
    `index` -
  Returns:
    the removed Curve
  Throws:
    `GeometryException`

### getCurveAt

    Curve getCurveAt(int index)

  Parameters:
    `index` -
  Returns:
    the Curve at the submitted index. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.

### getAllCurves

    Curve[] getAllCurves()

  Returns:
    all Curves as array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org